org.apache.maven.toolchain

## Class DefaultToolchainManager

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.toolchain.DefaultToolchainManager

- All Implemented Interfaces:
    ToolchainManager, ToolchainManagerPrivate

      public class DefaultToolchainManager
      extends AbstractLogEnabled
      implements ToolchainManager, ToolchainManagerPrivate

  Author:
    mkleint

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.toolchain.ToolchainManager

      `ROLE`

    - ### Fields inherited from interface org.apache.maven.toolchain.ToolchainManagerPrivate

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultToolchainManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contextualize(Context context)`
    `static java.lang.String` | `getStorageKey(java.lang.String type)`
    `Toolchain` | `getToolchainFromBuildContext(java.lang.String type, MavenSession session)` to be used from plugins capable of working with toolchains.
    `ToolchainPrivate[]` | `getToolchainsForType(java.lang.String type)` Retrieves the toolchains of given type from the user settings.
    `void` | `storeToolchainToBuildContext(ToolchainPrivate toolchain, MavenSession session)` Stores the toolchain into build context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultToolchainManager

          public DefaultToolchainManager()

  - ### Method Detail

    - #### contextualize

          public void contextualize(Context context)
                             throws ContextException

      Throws:
        `ContextException`

    - #### getToolchainsForType

          public ToolchainPrivate[] getToolchainsForType(java.lang.String type)
                                                  throws MisconfiguredToolchainException

      Description copied from interface: `ToolchainManagerPrivate`
      Retrieves the toolchains of given type from the user settings.
      Specified by:
        `getToolchainsForType` in interface `ToolchainManagerPrivate`
      Throws:
        `MisconfiguredToolchainException`

    - #### getToolchainFromBuildContext

          public Toolchain getToolchainFromBuildContext(java.lang.String type,
                                               MavenSession session)

      Description copied from interface: `ToolchainManager`
      to be used from plugins capable of working with toolchains.
      Specified by:
        `getToolchainFromBuildContext` in interface `ToolchainManager`

    - #### storeToolchainToBuildContext

          public void storeToolchainToBuildContext(ToolchainPrivate toolchain,
                                          MavenSession session)

      Description copied from interface: `ToolchainManagerPrivate`
      Stores the toolchain into build context.
      Specified by:
        `storeToolchainToBuildContext` in interface `ToolchainManagerPrivate`

    - #### getStorageKey

          public static final java.lang.String getStorageKey(java.lang.String type)